package com.example.mysecondapp


import androidx.test.core.app.ActivityScenario
import androidx.test.ext.junit.runners.AndroidJUnit4
import androidx.test.ext.junit.rules.ActivityScenarioRule
import androidx.test.espresso.Espresso.onView
import androidx.test.espresso.action.ViewActions.click
import androidx.test.espresso.assertion.ViewAssertions.matches
import androidx.test.espresso.matcher.ViewMatchers.isDisplayed
import androidx.test.espresso.matcher.ViewMatchers.withId
import androidx.test.espresso.assertion.ViewAssertions.doesNotExist
import androidx.test.filters.LargeTest
import org.junit.Rule
import org.junit.Test
import org.junit.runner.RunWith


/**
 * Created by shx and 2020/7/29.
 */
@RunWith(AndroidJUnit4::class)
@LargeTest
class Work1Test {

    @get:Rule
    val activityScenarioRule = ActivityScenarioRule<MainActivity>(MainActivity::class.java)

    @Test
    fun work1Test() {
        val activityScenario = ActivityScenario.launch(MainActivity::class.java)

        onView(withId(R.id.ImageView)).check(matches(isDisplayed()))
        onView(withId(R.id.button)).check(matches(isDisplayed()))

        activityScenario.close()
    }

}